RCS User Action
RcsInboundUserActionWebhook is sent to the account-level URL configured for the
RcsInboundUserAction type when a user has acted over a suggestion sent with an RCS outbound message.
Authorization
basic Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
RCS inbound user action event.
Response Body
curl -X POST "https://example.com/v1/Webhooks/RcsInboundUserActionWebhook" \ -H "Content-Type: application/json" \ -d '{ "type": "RcsInboundUserAction", "sid": "WH08df051c8bb96203d0df5ed6c838161b2c501f5578f0af07", "payload": { "sid": "ROXXXXXXXX", "from": "+19876543210", "agentId": "MyAgent", "eventDate": "2023-03-22T16:44:55.123Z", "type": "Suggestion", "text": "Reply suggestion text", "postbackData": "PostbackData specified for the reply suggestion" } }'RCS Typing Indicator POST
`RcsTypingIndicatorWebhook` is sent to the account-level URL configured for the `RcsTypingIndicator` type when an end user starts typing to one of registered RCS agents.
Opt-In/Out POST
`OptInOutWebhook` is sent to the `MessagingConfig.OptInOutCallbackUrl` when an Opt-In/Out is received from the recipient TN.